# Ice::Logger

## Overview

### local interface Logger

The Ice message logger. Applications can provide their own logger by implementing this interface and installing it in a communicator.

#### Used By

cloneWithPrefix
Communicator::getLogger

## Operation Index

print
  Print a message.
trace
  Log a trace message.
warning
  Log a warning message.
error
  Log an error message.
cloneWithPrefix
  Returns a clone of the logger with a new prefix.

## Operations

### void print(string message)

Print a message. The message is printed literally, without any decorations such as executable name or time stamp.

### void trace(string category, string message)

Log a trace message.

#### Parameters

category
  The trace category.
message
  The trace message to log.

### void warning(string message)

Log a warning message.

#### Parameters

message
  The warning message to log.

#### See Also

error

### void error(string message)

Log an error message.

#### Parameters

message
  The error message to log.

#### See Also

warning

### Logger cloneWithPrefix(string prefix)

Returns a clone of the logger with a new prefix.

#### Parameters

prefix
  The new prefix for the logger.